# Gopkg.toml example
#
# Refer to https://golang.github.io/dep/docs/Gopkg.toml.html
# for detailed Gopkg.toml documentation.
#
# required = ["github.com/user/thing/cmd/thing"]
# ignored = ["github.com/user/project/pkgX", "bitbucket.org/user/project/pkgA/pkgY"]
#
# [[constraint]]
#   name = "github.com/user/project"
#   version = "1.0.0"
#
# [[constraint]]
#   name = "github.com/user/project2"
#   branch = "dev"
#   source = "github.com/myfork/project2"
#
# [[override]]
#   name = "github.com/x/y"
#   version = "2.4.0"
#
# [prune]
#   non-go = false
#   go-tests = true
#   unused-packages = true

ignored = ["github.com/restream/reindexer*", "github.com/jmhodges/levigo"]

[[constraint]]
  name = "github.com/buaazp/fasthttprouter"
  version = "*"

[[constraint]]
  branch = "master"
  name = "github.com/mailru/easyjson"

[[constraint]]
  name = "github.com/spf13/cast"
  version = "*"

[[constraint]]
  name = "github.com/valyala/fasthttp"
  version = "*"

[[constraint]]
  name = "go.uber.org/zap"
  version = "*"

[[constraint]]
  name = "github.com/juliangruber/go-intersect"
  version = "*"

[prune]
  go-tests = true
  unused-packages = true
